### Name: HyperGResult-accessors
### Title: Accessors for HyperGResult Objects
### Aliases: HyperGResult-accessors pvalues pvalues,HyperGResult-method
###   pvalues,ChrMapHyperGResult-method geneCounts
###   geneCounts,HyperGResultBase-method universeCounts
###   universeCounts,HyperGResultBase-method universeMappedCount
###   universeMappedCount,HyperGResultBase-method geneMappedCount chrGraph
###   chrGraph,ChrMapHyperGResult-method annotation description
###   description,HyperGResultBase-method
###   annotation,HyperGResultBase-method geneIds
###   geneIds,HyperGResultBase-method geneIdUniverse
###   geneIdUniverse,HyperGResult-method
###   geneIdUniverse,ChrMapHyperGResult-method condGeneIdUniverse
###   condGeneIdUniverse,HyperGResultBase-method
###   condGeneIdUniverse,ChrMapHyperGResult-method geneIdsByCategory
###   geneIdsByCategory,HyperGResultBase-method sigCategories
###   sigCategories,HyperGResultBase-method geneMappedCount
###   geneMappedCount,HyperGResultBase-method testName
###   testName,HyperGResultBase-method
###   isConditional,HyperGResultBase-method
###   isConditional,ChrMapHyperGResult-method pvalueCutoff
###   pvalueCutoff,HyperGResultBase-method testDirection
###   testDirection,HyperGResultBase-method oddsRatios
###   oddsRatios,HyperGResult-method oddsRatios,ChrMapHyperGResult-method
###   expectedCounts expectedCounts,HyperGResult-method
###   expectedCounts,ChrMapHyperGResult-method
###   summary,HyperGResultBase-method summary,KEGGHyperGResult-method
###   summary,PFAMHyperGResult-method htmlReport
###   htmlReport,HyperGResultBase-method htmlReport,KEGGHyperGResult-method
###   htmlReport,PFAMHyperGResult-method
### Keywords: htest

### ** Examples

## Note that more in-depth examples can be found in the GOstats
## vignette (Hypergeometric tests using GOstats).
library("hgu95av2.db")
library("annotate")

probids <- ls(hgu95av2GENENAME)[1:300]
## Select for probeids that have PFAM ids
hasPFAM <- sapply(mget(probids, hgu95av2PFAM), function(ids)
                  if(!is.na(ids) && length(ids) > 1) TRUE else FALSE)
probids <- probids[hasPFAM]
## get unique Entrez Gene IDs
probids <- unique(getLL(probids, "hgu95av2"))
## Now do the same for the universe
univ <- ls(hgu95av2GENENAME)
univHasPFAM <- sapply(mget(univ, hgu95av2PFAM), function(ids)
                      if(!is.na(ids) && length(ids) > 1) TRUE else
                         FALSE)
univ <- univ[univHasPFAM]
univ <- unique(getLL(univ, "hgu95av2"))

p <- new("PFAMHyperGParams", geneIds=probids, universeGeneIds=univ,
         annotation="hgu95av2")
## this takes a while...
if(interactive()){
hypt <- hyperGTest(p)
summary(hypt)
htmlReport(hypt, file="temp.html", summary.args=list("htmlLinks"=TRUE))
}



